Skip to main content
GET
Get Cluster Information

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Path Parameters

cluster_id
integer
required

The unique ID of the cluster

Response

Successful response

id
integer
Example:

99

name
string
Example:

"Daily Outliers Test #100"

description
string
Example:

"Daily Outliers Test"

status
enum<string>
Available options:
pending,
creating,
available,
scaling,
pending_terminate,
terminating,
terminated,
error
Example:

"available"

owner_id
integer
Example:

27

plan_id
integer | null
nodes
integer
Example:

2

type
enum<string>
Available options:
sandbox,
production
Example:

"production"

created_at
string<date-time>
Example:

"2013-01-25T08:18:39Z"

updated_at
string<date-time>
Example:

"2013-01-28T16:45:24Z"

available_since
string<date-time> | null
terminated_at
string<date-time> | null
running_jobs_count
integer
Example:

0

terminate_on_idle
boolean
Example:

false

time_to_idle
integer

Seconds of inactivity before auto-termination

Example:

3600

terminated_on_idle
boolean
Example:

false

region
string
Example:

"amazon-web-services::us-east-1"

zone
string
Example:

"us-east-1b"

master_instance_type
string
Example:

"m3.xlarge"

slave_instance_type
string
Example:

"m3.xlarge"

master_spot_price
number | null
slave_spot_price
number | null
master_spot_percentage
number | null
slave_spot_percentage
number | null
allow_fallback
boolean
Example:

true

stack
string
Example:

"white-everest"

idle_since
string<date-time> | null
url
string<uri>
Example:

"https://api.xplenty.com/xplenation/api/clusters/99"

html_url
string<uri>
Example:

"https://xplenty.com/xplenation/clusters/99"

creator
object
Last modified on July 14, 2026